Category : gradle

Now any dependencies are not installing. When try to build it gives fallowing error. Note: C:Users{user name}AppDataLocalPubCachehostedpub.dartlang.orgflutter_tts-2.1.0androidsrcmainjavacomtundralabsflutterttsFlutterTtsPlugin.java uses or overrides a deprecated API. Note: Recompile with -Xlint:deprecation for details. FAILURE: Build failed with an exception. What went wrong: Execution failed for task ‘:flutter_tts:extractDebugAnnotations’. Could not resolve all files for configuration ‘:flutter_tts:lintClassPath’. Could not download lint-checks-27.1.1.jar ..

Read more

I’m trying to implement notifications following the example at https://developer.android.com/training/notify-user/build-notification However, the guide shows an implementation of dependencies { implementation "com.android.support:support-compat:28.0.0"} But when I try to add the dependency in my gradle file I get this error: Version 28 (intended for Android Pie and below) is the last version of the legacy support library, so ..

Read more

I am trying to use the android web-api wrapper from this link: https://github.com/kaaes/spotify-web-api-android On the link it suggests to do the following: 1)Clone the repository: git clone https://github.com/kaaes/spotify-web-api-android.git 2)Build: ./gradlew assemble 3)Grab the aar that can be found in spotify-api/build/outputs/aar/spotify-web-api-android-0.4.1.aar When I try to run "gradlew assemble", I get the following error: FAILURE: Build failed ..

Read more

I have 4 error messages when I build my app; they appeared when I addded a new dependency (de.westnordost:osmapi-notes:1.3). The messages are all similar: Duplicate class org.xmlpull.v1.XmlPullParser found in modules jetified-kxml2-2.3.0 (net.sf.kxml:kxml2:2.3.0) and jetified-xmlpull-1.1.3.1 (xmlpull:xmlpull:1.1.3.1) Duplicate class org.xmlpull.v1.XmlPullParserException found in modules jetified-kxml2-2.3.0 (net.sf.kxml:kxml2:2.3.0) and jetified-xmlpull-1.1.3.1 (xmlpull:xmlpull:1.1.3.1) Duplicate class org.xmlpull.v1.XmlPullParserFactory found in modules jetified-kxml2-2.3.0 (net.sf.kxml:kxml2:2.3.0) and ..

Read more

This is my situation. I want to create an android artifact to be used in other projects. But, I want this library to be used only for debugging purposes. I think in just import the library like this debugImplementation "com.example.android.debugin_library:1.0.0" But I want to have more control and avoid that somebody else at some point ..

Read more

Using variety of aws-android-sdk’s (version 2.22.0) (including DynamoDB). With minifyEnabled = true, Android app crashes in DynamoDB call. App does not crash if I disable that flag. Here are the proguard-rules I’m using: In build.gradle (app): proguardFiles getDefaultProguardFile(‘proguard-android-optimize.txt’), ‘proguard-rules.pro’ And in the proguard-rules.pro I have the following: -keepnames class com.amazonaws.** -keepnames class com.amazon.** # Enums ..

Read more